---
layout: page
title: Help
permalink: /help/
image: /JceManager/assets/images/help.jpg
---

#Need some help getting arround?
###*Here are some topics that you might find helpful*



-  [How Do I Log in?][connect]
	-  <a href="#notConnecting" style="text-decoration: none">Not Connecting</a>
	-  <a href="#credentials" style="text-decoration: none">Save your credentials</a>
-  [How Do I See My GPA][GPA]
	-  <a href="#GPAchange" style="text-decoration: none">Change your grades</a>
-  [See Your Semester Calendar][cal]
	-  <a href="#calexpo" style="text-decoration: none">Export to Google calendar/iCal/Outlook</a>
-  [Language Selection][loco]
	-  <a href="#langmistake" style="text-decoration: none">Noticed any misspelling?</a>
-  [I Want To Help & Code][fork]



---
##<a name="connect"></a><i class="fa fa-sign-in"></i> How Do I Log in?
<br>
![1][pictureLogin1]
1. Enter your JCE Username & Password
<br>
2. Save your <a href="#credentials">credentials</a> (optionally)
<br>
3. click "Login" and wait (~2-3 sec)
<br>
The connection icon should turn from Red to Green.
![2][pictureLogin2]
>Green circle at the status bar means you are logged in.

<br>
####<a name="notConnecting"></a><i class="fa fa-chain-broken"></i> Not connecting?

 - Please make sure you have a stable internet connection.
 - Make sure you have entered the right username and password.

####<a name="credentials"></a><i class="fa fa-floppy-o"></i> Save Your Credentials
At the login tab there is a checkbox, make sure that you are connected and *Check* it.
The username and password will now appear automaticly every time you launch *JCE Manager*.

>**Note:** <b>The password is encrypted.</b>

---

## <a name="GPA"></a><i class="fa fa-file"></i> How do i get my GPA?
<br>
Login with [JCE Manager][connect]
<br>
click on the GPA tab
<br>
![1][pictureGPA1]
1. Select the relevant dates interval
<br>
2. Want to see only (>0) courses grade point?
<br>
3. Hit the "Add" button and voila!
<br>

>Want to Select a spesific semester? 

>No problem just adjust the time frame you want to see at the top of the GPA tab. clear the table with the
>"Clear" button and click "Add" again.

#### <a name="GPAchange"></a><i class="fa fa-search"></i> Change your grades

Want to see if another exam worth your time? how much dose it affect your GPA?
![2][pictureGPA2]

1. Add your <a href="#GPA">GPA</a> table to JCE Manager.
<br>
2. Change the grade of each course by clicking on the grade and type the grade you think you can get next time.
<br>
![3][pictureGPA3]
3. The GPA average display will change accordingly.
Now you can easily see if you really should take the next test or not...

>**Note:**
>The grades are stored locally. therefore, it does NOT change your real grade.

---

##<a name="cal"></a> <i class="fa fa-calendar"></i> See your schedule
<br>
Login with [JCE Manager][connect]
<br>
Click on the Calendar tab
<br>
![1][pictureCal1]
1. Select the relevant dates interval
<br>
2. Hit the "Get Calendar" button and voila!
<br>
![2][pictureCal2]

####<a name="calexpo"></a> <i class="fa fa-share"></i> Export to Google Calendar/iCal/Outlook


<br>
1. Make sure you got schedule through the previous step [(here)][cal]
<br>
2. Click on the "Export to CSV" button, a promote dialog window will pop up.
<br>
![1][pictureCalExpo1]
<br>
3. Select the date interval witch the semester starts and when it ends (This data is available each year by [JCE][jce]).
<br>
4. Now click "OK" button. Save the CSV file at a memorable place in you Hard Drive.
<br>
![2][pictureCalExpo2]
<br>

Now head over to your favorit Calendar service and create a new calendar (Optional, but recommended).
Select import and select the CSV file from before.
Enjoy.

---

##<a name="lang"></a> <i class="fa fa-globe"></i> Language selection
Select your language via
![1][pictureLang1]
File <i class="fa fa-arrow-right"></i> Language <i class="fa fa-arrow-right"></i> Check your desired language
<br>
![2][pictureLang2]
<br>
>**Note:**
By Default JCE Manager will choose your language according to your OS. 

####<a name="langmistake"></a><i class="fa fa-globe"></i>Language misspelling
since we are all human  ...
<br>
if you have noticed a misspelling error, we would like you to form an issue and [<i class="fa fa-github"></i>report us][gitbug]
just write in the message body the mistake and location. thanks!

---

##<a name="fork"></a> <i class="fa fa-github"></i> I Want To Help & Code
JCE Manager is an open-source project. And we always need help and ideas...
Just [<i class="fa fa-code-fork"></i>Fork Us On Github][git], Or open a feature request!

#### <i class="fa fa-bug"></i> Found Bugs? Having Issues?
The easiest way to report a bug is on our [<i class="fa fa-github"></i> Github issues page][gitbug].
Please make sure the bug is not already opened.
Please add as much information about the bug, so we can easily reproduce it.

[connect]: #connect
[GPA]: #GPA
[cal]: #cal 
[loco]: #lang
[fork]: #fork
[git]: https://github.com/liranbg/JceManager
[gitbug]: https://github.com/liranbg/JceManager/issues/new
[jce]: http://www.jce.ac.il/
[pictureLogin1]: ../assets/images/helpEng/login1.png
[pictureLogin2]: ../assets/images/helpEng/login2.png
[pictureGPA1]: ../assets/images/helpEng/gpa1.png
[pictureGPA2]: ../assets/images/helpEng/gpa2.png
[pictureGPA3]: ../assets/images/helpEng/gpa3.png
[pictureLang1]: ../assets/images/helpEng/langchange1.png
[pictureLang2]: ../assets/images/helpEng/langchange2.png
[pictureLang3]: ../assets/images/helpEng/langchange3.png
[pictureCal1]: ../assets/images/helpEng/cal1.png
[pictureCal2]: ../assets/images/helpEng/cal2.png
[pictureCalExpo1]: ../assets/images/helpEng/calexpo1.png
[pictureCalExpo2]: ../assets/images/helpEng/calexpo2.png
